package wyklad.wyklad1.table;

import javax.swing.*;
import java.awt.*;

/**
 * Created by: Jacek Bzdak
 */
public class TableFrame3 extends JFrame{


   protected final StudentsModel studentsModel;
   protected final JTable table;


      public TableFrame3() throws HeadlessException {

         setDefaultCloseOperation(DISPOSE_ON_CLOSE);

         studentsModel = new StudentsModel();

         table = new JTable(studentsModel);

         table.setDefaultRenderer(Boolean.class, new CheckboxRenderer());

         this.add(new JScrollPane(table));

      }


   public static void main(String[] args) throws Exception{
      SwingUtilities.invokeLater(new Runnable() {
         public void run() {
            TableFrame3 tf = new TableFrame3();
            tf.setSize(640, 480);
            tf.setVisible(true);
            tf.studentsModel.addStudents(Database.getStudentsFromDatabase());
         }
      });
   }
}
