package wyklad.wyklad2.x01innerClass;

import javax.swing.*;
import java.awt.*;

/**
 * Ta ramka jako listenerów używa instancji ExternalListener które są zewnętrznymi publicznymi klasami.
 * Instancje tej klasy mają związek z ramką poprzez podaną eksplicite referencje.
 * Created by: Jacek Bzdak
 */
public class x1ExternalListenerFrame extends ListenerShowcaseBase{
   
   public x1ExternalListenerFrame() throws HeadlessException {
      button1.addActionListener(new ExternalListener(this, Color.GREEN));
      button2.addActionListener(new ExternalListener(this, Color.RED));
   }

   public static void main(String[] args) {
      SwingUtilities.invokeLater(new Runnable() {
         public void run() {
            x2NonPublicListener frame = new x2NonPublicListener();
            frame.setVisible(true);
         }
      });
   }
}

