package wyklad.wyklad2.x01innerClass;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Działa dokładnie tak sam jak InternalClass Listener z tym że w tym przypadku klasy listenerów nie mają dodatkowo
 * nazwy i zdefiniowane są w linijce wykorzystania.
 *
 * Created by: Jacek Bzdak
 */
public class x4AnonymousInnerClassListenerFrame extends ListenerShowcaseBase{

   public x4AnonymousInnerClassListenerFrame() throws HeadlessException {
	   
      button1.addActionListener(new ActionListener() {
         public void actionPerformed(ActionEvent e) {
            getContentPane().setBackground(Color.GREEN);
         }
      });
      
      button2.addActionListener(new ActionListener() {
         public void actionPerformed(ActionEvent e) {
            x4AnonymousInnerClassListenerFrame.this.getContentPane().setBackground(Color.RED);
         }
      });
   }

   public static void main(String[] args) {
      SwingUtilities.invokeLater(new Runnable() {
         public void run() {
            x4AnonymousInnerClassListenerFrame frame = new x4AnonymousInnerClassListenerFrame();
            frame.setVisible(true);
         }
      });
   }
}
