package wyklad.wyklad2.closure;

import java.io.*;

/**
 * Created by: Jacek Bzdak
 */
public class FileUtils {
   
   
   public static void readFile(String name, String encoding, FileReader fileReader)
           throws IOException{
      BufferedReader reader =
              new BufferedReader(new InputStreamReader(new FileInputStream(name), encoding));
      try{
         fileReader.readFile(reader);
      }finally {
         reader.close();
      }
   }

   public static void writeFile(String name, String encoding, FileWriter fileWriter) throws IOException{
      BufferedWriter bufferedWriter =
              new BufferedWriter(new OutputStreamWriter(new FileOutputStream(name), encoding));
      try{
         fileWriter.writeFile(bufferedWriter);
      }finally {
         bufferedWriter.close();
      }
   }
}
