package wyklad.wyklad2.closure;

import java.io.BufferedWriter;
import java.io.IOException;

/**
 * Created by: Jacek Bzdak
 */
public class WriteFile {
   
   public static void main(final String[] args) throws Exception{
      
      final String first_arg = args[0]; 
      // String first_arg = args[0];  // Błąd kompilacji!
      
      FileUtils.writeFile("test.txt", "cp1250", new FileWriter() {
         public void writeFile(BufferedWriter writer) throws IOException {
            
            writer.write(first_arg);
            
            for (String arg : args){
               writer.write(arg);
            }
         }

      });
   }

}
