package wyklad.wyklad2.x01innerClass;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Tutaj listenerem jest sama ramka ponieważ implementuje ActionListener. To rozwiazanie nie jest polecane.
 *
 *
 * Created by: Jacek Bzdak
 */
public class x0ListenerOnFrame extends ListenerShowcaseBase implements ActionListener{

   public x0ListenerOnFrame() throws HeadlessException {

      button1.setActionCommand("BUTTON_1");
      button2.setActionCommand("BUTTON_2");

      button1.addActionListener(this);
      button2.addActionListener(this);
   }

   
   public void actionPerformed(ActionEvent e) {
      if("BUTTON_1".equals(e.getActionCommand())){
         // Niestety! Ramka sama nie ma koloru tła --- widzimy kolor tła contentPane
         this.getContentPane().setBackground(Color.GREEN);
         return;
      }
      if("BUTTON_2".equals(e.getActionCommand())){
         this.getContentPane().setBackground(Color.RED);
         return;
      }
   }

   public static void main(String[] args) {
      SwingUtilities.invokeLater(new Runnable() {
         public void run() {
            x0ListenerOnFrame frame = new x0ListenerOnFrame();
            frame.setVisible(true);
         }
      });
   }
}
