package wyklad.wyklad2.x03html;

import javax.swing.*;
import java.awt.*;

/* *
 * Created by: Jacek Bzdak
 */
public class FrameWithHtml extends JFrame{

   public FrameWithHtml() {

      setDefaultCloseOperation(DISPOSE_ON_CLOSE);

      setSize(200, 300);

      setLayout(new FlowLayout());

      JButton jButton = new JButton("<html>Click <br><i>me!</i></html>");
      add(jButton);

      //Można nie zamykać tagów (ale się powinno
      JLabel label = new JLabel("<html> you can't click <i>me!");
      
      add(label);

      JMenuBar menuBar = new JMenuBar();

      JMenu menu = new JMenu("<html> E = mc<sup>2</sup></html>");

      menu.add(new JMenuItem("<html>&lambda; = h &frasl; p </html>"));

      menu.add(new JMenuItem("Działam też bez html \u03BB"));
      
      menu.add(new JMenuItem("<html> Nieznane tagi są <bar>ignorowane</bar><foo></html>"));

      menuBar.add(menu);

      setJMenuBar(menuBar);

   }


   public static void main(String[] args) {
      SwingUtilities.invokeLater(new Runnable() {
         public void run() {
            FrameWithHtml frame = new FrameWithHtml();
            frame.setVisible(true);
         }
      });
   }
}
